## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate color-backtrace

Name:           rust-color-backtrace
Version:        0.7.0
Release:        %autorelease
Summary:        Colorful panic backtraces

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/color-backtrace
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop support for alternative backtrace backend (btparse)
Patch:          color-backtrace-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Colorful panic backtraces.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+resolve-modules-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+resolve-modules-devel %{_description}

This package contains library source intended for building other packages which
use the "resolve-modules" feature of the "%{crate}" crate.

%files       -n %{name}+resolve-modules-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-backtrace-crate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-backtrace-crate-devel %{_description}

This package contains library source intended for building other packages which
use the "use-backtrace-crate" feature of the "%{crate}" crate.

%files       -n %{name}+use-backtrace-crate-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat May 03 2025 Fabio Valentini <decathorpe@gmail.com> - 0.7.0-1
- Update to version 0.7.0; Fixes RHBZ#2344564

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Oct 06 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.1-1
- Update to version 0.6.1; Fixes RHBZ#2227556

* Wed Jul 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-11
- Drop noop backtrace/gimli-symbolize dependency

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 22 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-7
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Apr 27 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-1
- Update to version 0.5.1.
- Fixes RHBZ#1953352

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 20:19:27 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0 (Fixes: RHBZ#1900220)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 19 2020 Josh Stone <jistone@redhat.com> - 0.4.2-1
- Update to 0.4.2

* Tue May 12 13:09:57 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 0.4.1-1
- Initial package

## END: Generated by rpmautospec
